{ config, ... }:

{
  config.services.postgresqlBackup = {
    enable = config.services.postgresql.enable;
    backupAll = true;
    compression = "zstd";
    # compressionLevel = 9; # TODO: only available with 21.11
    pgdumpOptions = "--create --clean";
    startAt = "*-*-* 06:00:00";
  };
}
