{ lib, ... }:
# our custom options
{
  options.deployment = with lib; {
    vcpu = mkOption {
      type = types.int;
      default = 2;
    };
    mem = mkOption {
      type = types.int;
      default = 512;
    };
    networks = mkOption {
      type = with types; listOf str;
      default = [ "serv" ];
    };
    persistedShares = mkOption {
      type = with types; listOf str;
      default = [ "/etc" "/home" "/var" ];
    };
  };
}
